<table mat-table [dataSource]="tasks" class="mat-elevation-z8">
  <ng-container matColumnDef="description">
    <th mat-header-cell *matHeaderCellDef>Beschreibung</th>
    <td mat-cell *matCellDef="let element">{{element.description}}</td>
  </ng-container>
  <ng-container matColumnDef="dueDate">
    <th mat-header-cell *matHeaderCellDef>Fälligkeitsdatum</th>
    <td mat-cell *matCellDef="let element">{{element.dueDate|date:'shortDate'}}</td>
  </ng-container>
  <ng-container matColumnDef="status">
    <th mat-header-cell *matHeaderCellDef>Erledigt</th>
    <td mat-cell *matCellDef="let element">
      <button mat-icon-button (click)="clickDone(element.id)"><mat-icon>{{element.isDone?'done':'help_center'}}</mat-icon></button>
      <button mat-icon-button (click)="clickDel(element.id)"><mat-icon>delete</mat-icon></button>
    </td>
  </ng-container>
  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
